## EAuthComboBox

EAuthComboBox

## Synopsis

    struct              EAuthComboBox;
    GtkWidget *         e_auth_combo_box_new                (void);
    CamelProvider *     e_auth_combo_box_get_provider       (EAuthComboBox *combo_box);
    void                e_auth_combo_box_set_provider       (EAuthComboBox *combo_box,
                                                             CamelProvider *provider);
    void                e_auth_combo_box_update_available   (EAuthComboBox *combo_box,
                                                             GList *available_authtypes);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkComboBox
                                     +----EAuthComboBox

## Implemented Interfaces

EAuthComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Properties

      "provider"                 gpointer              : Read / Write

## Description

## Details

### struct EAuthComboBox

    struct EAuthComboBox;

### e_auth_combo_box_new ()

    GtkWidget *         e_auth_combo_box_new                (void);

### e_auth_combo_box_get_provider ()

    CamelProvider *     e_auth_combo_box_get_provider       (EAuthComboBox *combo_box);

### e_auth_combo_box_set_provider ()

    void                e_auth_combo_box_set_provider       (EAuthComboBox *combo_box,
                                                             CamelProvider *provider);

### e_auth_combo_box_update_available ()

    void                e_auth_combo_box_update_available   (EAuthComboBox *combo_box,
                                                             GList *available_authtypes);

## Property Details

### The `"provider"` property

      "provider"                 gpointer              : Read / Write

The provider to query for auth mechanisms.